summaryrefslogtreecommitdiff
path: root/bin/locmaint
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2020-02-29 15:00:14 -0700
committerSean Whitton <spwhitton@spwhitton.name>2020-02-29 15:00:14 -0700
commitb2c07e014c13e208d6de1f46a996382c04b9047a (patch)
treefdb3c1ab5914aa97ff896423f22c937d1da89993 /bin/locmaint
parent7ab96b2dcac381e1fdc42d69ce96cd5758943d19 (diff)
downloaddotfiles-b2c07e014c13e208d6de1f46a996382c04b9047a.tar.gz
comment out attempt to eject $coldbkup_root for now
Diffstat (limited to 'bin/locmaint')
-rwxr-xr-xbin/locmaint16
1 files changed, 10 insertions, 6 deletions
diff --git a/bin/locmaint b/bin/locmaint
index f837d62d..d6253c9c 100755
--- a/bin/locmaint
+++ b/bin/locmaint
@@ -165,12 +165,16 @@ sub main {
if ($do_coldbkup) {
$coldbkup_root = rel2abs($coldbkup_root);
do_coldbkup($coldbkup_root);
- script_status("ejecting $coldbkup_root");
- system "gio", "mount", "--eject", $coldbkup_root;
- if ($?) {
- say_spaced_bullet("failed to eject $coldbkup_root!");
- get_ack();
- }
+
+ # TODO make this work -- need to cause ssh control sockets
+ # which have open file descriptors on the external drive to
+ # exit (probably using `ssh -O exit`)
+ # script_status("ejecting $coldbkup_root");
+ # system "gio", "mount", "--eject", $coldbkup_root;
+ # if ($?) {
+ # say_spaced_bullet("failed to eject $coldbkup_root!");
+ # get_ack();
+ # }
}
do_workstation_duplicity() if $do_workstation_duplicity;
do_sysmaint() if $do_sysmaint;